#include "../Func.h"
#include "SchedTask.h"

SchedExternTask(DataAllocate);
SchedExternTask(DataUpdate);
SchedExternTask(DataFree);

SchedExternTask(LoadTexture);
SchedExternTask(DrawSpan);
SchedExternTask(DrawSpanEnd);
SchedExternTask(DrawSpanRenew);
SchedExternTask(DrawBack);

//SchedExternTask(ChainCal);
//SchedExternTask(ChainInit);

SchedExternTask(CreateSpan);
SchedExternTask(CreatePolygon);
//SchedExternTask(CreatePolygonFromSceneGraph);
SchedExternTask(ShowTime);

SchedExternTask(InitKey);
SchedExternTask(UpdateKey);

//SchedExternTask(PropertyTask);
//SchedExternTask(UniverseTask);
//SchedExternTask(ChainTask);

void
task_init(Scheduler *s)
{

    SchedRegister( DataAllocate);
    SchedRegister( DataUpdate);
    SchedRegister( DataFree);

    SchedRegister( LoadTexture);
    SchedRegister( DrawSpan);

    //SchedRegister( ChainCal);
    //SchedRegister( ChainInit);
    SchedRegister( DrawBack);

    SchedRegister( CreateSpan);
    SchedRegister( CreatePolygon);
    //SchedRegister( CreatePolygonFromSceneGraph);

    SchedRegister( ShowTime);

    SchedRegister( InitKey);
    SchedRegister( UpdateKey);

    //SchedRegister( PropertyTask);
    //SchedRegister( UniverseTask);
    //SchedRegister( ChainTask);
}
